package com.lightinit.hsdatashow.mapper;

import com.lightinit.hsdatashow.entity.Coefficient;
import com.lightinit.hsdatashow.entity.CoefficientExample;
import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface CoefficientMapper {
    long countByExample(CoefficientExample example);

    int deleteByExample(CoefficientExample example);

    int deleteByPrimaryKey(Long id);

    int insert(Coefficient record);

    int insertSelective(Coefficient record);

    List<Coefficient> selectByExample(CoefficientExample example);

    Coefficient selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") Coefficient record, @Param("example") CoefficientExample example);

    int updateByExample(@Param("record") Coefficient record, @Param("example") CoefficientExample example);

    int updateByPrimaryKeySelective(Coefficient record);

    int updateByPrimaryKey(Coefficient record);

    List<Coefficient> selectList(String name);
}